import type { NextApiRequest, NextApiResponse } from "next";
import { withIronSessionApiRoute } from "iron-session/next";
import { sessionOptions } from "@/lib/session";
import axios from "axios";

export default withIronSessionApiRoute(handler, sessionOptions);

async function handler(req: NextApiRequest, res: NextApiResponse) {
	if (req.method === "GET") return get(req, res);

	return res.status(404).json({ ok: false });
}

async function get(req: NextApiRequest, res: NextApiResponse) {
	if (!req.session.user) return res.status(401).json({ ok: false });

	const result = await axios.get(`${process.env.BACKEND_URL}/speaking/avatars`, {
		headers: { Authorization: `Bearer ${process.env.BACKEND_JWT}` },
	});
	res.status(200).json(result.data);
}
